class_name BattleDecision

var action:BattleAction
var user:BattleFighter
var targets:Array[BattleFighter]

func _init(_action:BattleAction, _user:BattleFighter, _targets:Array[BattleFighter]) -> void:
  action = _action
  user = _user
  targets = _targets

func getPriority() -> float:
  return 1.0

func execute(cutscene:Cutscene) -> void:
  pass
